com.mxgraph.util

## Class mxImage

- java.lang.Object
- - com.mxgraph.util.mxImage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class mxImage
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Implements a 2-dimensional point with double precision coordinates.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `height` Holds the image width and height.
    `protected java.lang.String` | `src` Holds the path or URL for the image.
    `protected int` | `width` Holds the image width and height.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxImage(java.lang.String src, int width, int height)` Constructs a new point at (0, 0).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `java.lang.String` | `getSrc()`
    `int` | `getWidth()`
    `void` | `setHeight(int height)`
    `void` | `setSrc(java.lang.String src)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### src

          protected java.lang.String src

      Holds the path or URL for the image.

    - #### width

          protected int width

      Holds the image width and height.

    - #### height

          protected int height

      Holds the image width and height.

  - ### Constructor Detail

    - #### mxImage

          public mxImage(java.lang.String src,
                 int width,
                 int height)

      Constructs a new point at (0, 0).

  - ### Method Detail

    - #### getSrc

          public java.lang.String getSrc()

      Returns:
        the src

    - #### setSrc

          public void setSrc(java.lang.String src)

      Parameters:
        `src` - the src to set

    - #### getWidth

          public int getWidth()

      Returns:
        the width

    - #### setWidth

          public void setWidth(int width)

      Parameters:
        `width` - the width to set

    - #### getHeight

          public int getHeight()

      Returns:
        the height

    - #### setHeight

          public void setHeight(int height)

      Parameters:
        `height` - the height to set

Copyright (c) 2010 Gaudenz Alder. All rights reserved.